Skip to content

Audit Logs

GET
/api/v1/nodes/nodeactionlog/{vm_id}
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/nodeactionlog/{vm_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
vm_id
required
string

Path parameter vm_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request for audit logs

Example

<API_KEY>
location
required
string

Filter audit logs by location

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the audit log response

integer
data
Array<object>
object
customer_id

Identifier of the customer associated with the audit log entry

integer
timestamp

Timestamp of the audit log entry

string
event

The name of the audit log event.

string
client_ip

IP address of the client that performed the action

string
details

Human-readable description of the audit event

string
status

Indicates whether the audit log entry is successful

boolean
operation_performed_by

Email of the user who performed the operation

string format: email
performer_type

Type of performer that generated the audit log entry

string
performer_name

Name of the performer associated with the audit log entry

string
errors
object
message

Result status of the audit operation

string

Example

{
"code": 200,
"data": [
{
"customer_id": 12345,
"timestamp": "Aug 12, 2025 05:36:05 AM",
"event": "RESUME_ALERT",
"client_ip": "14.2.3.4",
"details": "Trigger: load > 10.0",
"status": true,
"operation_performed_by": "your_email@example.com",
"performer_type": "primary_user",
"performer_name": "your_email"
}
],
"message": "Success"
}